# Method: advertisers.lineItems.targetingTypes.assignedTargetingOptions.create

- [HTTP request](https://developers.google.com/display-video/api/reference/rest/v4/advertisers.lineItems.targetingTypes.assignedTargetingOptions/create#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/display-video/api/reference/rest/v4/advertisers.lineItems.targetingTypes.assignedTargetingOptions/create#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/display-video/api/reference/rest/v4/advertisers.lineItems.targetingTypes.assignedTargetingOptions/create#body.request_body)
- [Response body](https://developers.google.com/display-video/api/reference/rest/v4/advertisers.lineItems.targetingTypes.assignedTargetingOptions/create#body.response_body)
- [Authorization scopes](https://developers.google.com/display-video/api/reference/rest/v4/advertisers.lineItems.targetingTypes.assignedTargetingOptions/create#body.aspect)
- [Try it!](https://developers.google.com/display-video/api/reference/rest/v4/advertisers.lineItems.targetingTypes.assignedTargetingOptions/create#try-it)

Assigns a targeting option to a line item. Returns the assigned targeting option if successful.

Requests to this endpoint cannot be made concurrently with the following requests updating the same line item:

- `https://developers.google.com/display-video/api/reference/rest/v4/advertisers.lineItems/bulkEditAssignedTargetingOptions#google.ads.displayvideo.v4.LineItemAssignedTargetingOptionsService.BulkEditAssignedTargetingOptions`
- `https://developers.google.com/display-video/api/reference/rest/v4/advertisers.lineItems/bulkUpdate#google.ads.displayvideo.v4.LineItemService.BulkUpdateLineItems`
- `https://developers.google.com/display-video/api/reference/rest/v4/advertisers.lineItems/patch#google.ads.displayvideo.v4.LineItemService.UpdateLineItem`
- `https://developers.google.com/display-video/api/reference/rest/v4/advertisers.lineItems.targetingTypes.assignedTargetingOptions/delete#google.ads.displayvideo.v4.LineItemAssignedTargetingOptionsService.DeleteLineItemAssignedTargetingOption`

YouTube \& Partners line items cannot be created or updated using the API.

### HTTP request

`POST https://displayvideo.googleapis.com/v4/advertisers/{advertiserId}/lineItems/{lineItemId}/targetingTypes/{targetingType}/assignedTargetingOptions`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `advertiserId` | `string (https://developers.google.com/discovery/v1/type-format format)` Required. The ID of the advertiser the line item belongs to. |
| `lineItemId` | `string (https://developers.google.com/discovery/v1/type-format format)` Required. The ID of the line item the assigned targeting option will belong to. |
| `targetingType` | ``enum (`https://developers.google.com/display-video/api/reference/rest/v4/TargetingType`)`` Required. Identifies the type of this assigned targeting option. Supported targeting types include: - `TARGETING_TYPE_AGE_RANGE` - `TARGETING_TYPE_APP` - `TARGETING_TYPE_APP_CATEGORY` - `TARGETING_TYPE_AUDIENCE_GROUP` - `TARGETING_TYPE_AUDIO_CONTENT_TYPE` - `TARGETING_TYPE_AUTHORIZED_SELLER_STATUS` - `TARGETING_TYPE_BROWSER` - `TARGETING_TYPE_BUSINESS_CHAIN` - `TARGETING_TYPE_CARRIER_AND_ISP` - `TARGETING_TYPE_CATEGORY` - `TARGETING_TYPE_CHANNEL` - `TARGETING_TYPE_CONTENT_DURATION` - `TARGETING_TYPE_CONTENT_GENRE` - `TARGETING_TYPE_CONTENT_INSTREAM_POSITION` - `TARGETING_TYPE_CONTENT_OUTSTREAM_POSITION` - `TARGETING_TYPE_CONTENT_STREAM_TYPE` - `TARGETING_TYPE_DAY_AND_TIME` - `TARGETING_TYPE_DEVICE_MAKE_MODEL` - `TARGETING_TYPE_DEVICE_TYPE` - `TARGETING_TYPE_DIGITAL_CONTENT_LABEL_EXCLUSION` - `TARGETING_TYPE_ENVIRONMENT` - `TARGETING_TYPE_EXCHANGE` - `TARGETING_TYPE_GENDER` - `TARGETING_TYPE_GEO_REGION` - `TARGETING_TYPE_HOUSEHOLD_INCOME` - `TARGETING_TYPE_INVENTORY_SOURCE` - `TARGETING_TYPE_INVENTORY_SOURCE_GROUP` - `TARGETING_TYPE_KEYWORD` - `TARGETING_TYPE_LANGUAGE` - `TARGETING_TYPE_NATIVE_CONTENT_POSITION` - `TARGETING_TYPE_NEGATIVE_KEYWORD_LIST` - `TARGETING_TYPE_OMID` - `TARGETING_TYPE_ON_SCREEN_POSITION` - `TARGETING_TYPE_OPERATING_SYSTEM` - `TARGETING_TYPE_PARENTAL_STATUS` - `TARGETING_TYPE_POI` - `TARGETING_TYPE_PROXIMITY_LOCATION_LIST` - `TARGETING_TYPE_REGIONAL_LOCATION_LIST` - `TARGETING_TYPE_SENSITIVE_CATEGORY_EXCLUSION` - `TARGETING_TYPE_SUB_EXCHANGE` - `TARGETING_TYPE_THIRD_PARTY_VERIFIER` - `TARGETING_TYPE_URL` - `TARGETING_TYPE_USER_REWARDED_CONTENT` - `TARGETING_TYPE_VIDEO_PLAYER_SIZE` - `TARGETING_TYPE_VIEWABILITY` |

### Request body

The request body contains an instance of `https://developers.google.com/display-video/api/reference/rest/v4/advertisers.adGroups.targetingTypes.assignedTargetingOptions#AssignedTargetingOption`.

### Response body

If successful, the response body contains a newly created instance of `https://developers.google.com/display-video/api/reference/rest/v4/advertisers.adGroups.targetingTypes.assignedTargetingOptions#AssignedTargetingOption`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/display-video`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).